using Net.Eagle0.Shardok.Api;

namespace UnityGoDiceInterface {
    public interface RollFetcher {
        public delegate void RollResultCallback(int? result);

        public void GetRoll(RollRequest rollType, RollResultCallback cb);
    }
}